package com.sonic.lion.domain.enums;

/**
 * @author: code
 * @date: 2025/06/01
 * @Description: 用户资金账户状态
 * @version: 1.0.0
 */
public enum AccountFundStatus {

    /**
     * 正常
     */
    NORMAL(1, "NORMAL"),

    /**
     * 冻结
     */
    FREEZE(2, "FREEZE"),
    ;

    private final int value;

    private final String desc;

    AccountFundStatus(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
